<?php

/**
* Class for handling ajax requests in modify publication form.
* Handles requests for details of publisher, conference and journal.
*
*/
class AjaxDetailHandler
{
	private $db;
	private $request;
	private $auth_module;

	/**
	 * Constructor
	 *
	 * @param PEAR::DB $db
	 */
	public function __construct(&$db, $request)
	{
		$this->db = $db;
		$this->request = $request;
		$this->auth_module = new AuthModule($db);
	}

	/**
	 * Handles ajax request (id of a particular record given by GET method). The result
	 * of this operation is a javascript array writen to the output.
	 *
	 */
	public function handle_request()
	{
		$publisher_id = $this->request['publisher'];
		$conference_id = $this->request['conference'];
		$journal_id = $this->request['journal'];
		if (is_numeric($publisher_id))
		{
			$row = $this->db->getRow("SELECT name, address FROM `publisher` WHERE id=?", array($publisher_id), DB_FETCHMODE_ASSOC);
			if (PEAR::isError($row))
    			die($row->getMessage());
    		$used = $this->db->getOne("SELECT count(*)
    			FROM `publication`
    			WHERE publisher_id=?", $publisher_id);
    		$jsarr = 'Array("'.$used.'", "'.$row['name'].'", "'.$row['address'].'")';
    		echo($jsarr);
		}
		elseif (is_numeric($conference_id))
		{
			$row = $this->db->getRow("SELECT name, abbreviation, w_year, w_from, w_to, location, isbn
				FROM `conference` WHERE id=?", array($conference_id), DB_FETCHMODE_ORDERED);
			if (PEAR::isError($row))
    			die($row->getMessage());
			$allowed = check_conference_editability($this->db, $conference_id, $this->auth_module->get_id());
    		$jsarr = 'Array("'.$allowed.'", "'.$row[0].'", "'.$row[1].'", "'.$row[2].'", "'.$row[3].'", "'.$row[4].'", "'.$row[5].'", "'.$row[6].'")';
    		echo($jsarr);
		}
		elseif (is_numeric($journal_id))
		{
			$row = $this->db->getRow("SELECT name, issn
				FROM `journal` WHERE id=?", array($journal_id), DB_FETCHMODE_ORDERED);
			if (PEAR::isError($row))
    			die($row->getMessage());
    		$used = $this->db->getOne("SELECT count(*)
    			FROM `publication`
    			WHERE journal_id=?", $journal_id);
    		$jsarr = 'Array("'.$used.'", "'.$row[0].'", "'.$row[1].'")';
    		echo($jsarr);
		}
	}
}

?>