<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	{if $refresh}<meta http-equiv="refresh" content="{$refresh}" />{/if}
	<title>Database of publications - administration</title>
	<link rel="stylesheet" type="text/css" href="admin.css" />
	<link rel="stylesheet" type="text/css" href="../common/header.css" />
</head>
<body>
	{include file="header.tpl"}

	<div id="mainpanel">
	<div id="mainpanel-inside">
		<ul id="tabmenu">
			<li><a href="index.php">Waiting for check</a></li>
			<li><a href="index.php?tab=2">Checked</a></li>
			<li><a href="index.php?tab=3">Attributes</a></li>
			<li><a href="index.php?tab=4">Categories</a></li>
			<li><a href="index.php?tab=5">Authors</a></li>
			<li><a href="index.php?tab=6">Publishers</a></li>
			<li><a href="index.php?tab=7">Journals</a></li>
			<li><a class="active" href="index.php?tab=8">Conferences</a></li>
			<li><a href="index.php?tab=9">Templates</a></li>
			<li><a href="index.php?tab=10">Users</a></li>
		</ul>

		<div id="content">
		{if $operation_error}
			<span class="error">{$operation_error}</span><br/><br/>
		{elseif $operation_success}
			<span class="success">{$operation_success}</span><br/><br/>
		{/if}

		{if $show_conference}
			<form method="post" action="index.php?tab=8" enctype="multipart/form-data">
			<table id="list" width="600px" border="0" cellspacing="0" cellpadding="8" summary="list of all conferences">
			<thead>
			<tr class="heading">
				<th scope="col"><a href="index.php?tab=8&amp;order=1">name</a></th>
				<th scope="col"><a href="index.php?tab=8&amp;order=2">abbreviation</a></th>
				<th scope="col"><a href="index.php?tab=8&amp;order=3">from</a></th>
				<th scope="col"><a href="index.php?tab=8&amp;order=4">to</a></th>
				<th scope="col"><a href="index.php?tab=8&amp;order=5">year</a></th>
				<th scope="col"><a href="index.php?tab=8&amp;order=6">location</a></th>
				<th scope="col"><a href="index.php?tab=8&amp;order=7">isbn</a></th>
				<th scope="col" colspan="2">&nbsp;</th>
			</tr>
			</thead>
			{foreach from=$conference item=arr}
			<tr class="{cycle values="odd,even"}">
				<td>{$arr.name|escape:"html"}</td>
				<td>{$arr.abbreviation|escape:"html"}</td>
				<td>{$arr.w_from|escape:"html"}</td>
				<td>{$arr.w_to|escape:"html"}</td>
				<td>{$arr.w_year|escape:"html"}</td>
				<td>{$arr.location|escape:"html"}</td>
				<td>{$arr.isbn|escape:"html"}</td>
				<td><input type="submit" name="edit_conference[{$arr.id}]" value="change" /> </td>
				<td>
					<input type="submit" name="delete_conference[{$arr.id}]" value="delete" />
					{if $arr.warning}<img src="../graphics/warn.png" alt="warning" title="Is associated with some publications, don´t delete."/>{/if}
				</td>
			</tr>
			{/foreach}
			<tr>
				<td><input type="text" size="10" id="name" name="name" maxlength="500" value="{$name}" title="max. 500 characters" /></td>
				<td><input type="text" size="10" id="abbreviation" name="abbreviation" maxlength="100" value="{$abbreviation}" title="max. 100 characters" /></td>
				<td><input type="text" size="10" id="w_from" name="w_from" maxlength="10" value="{$w_from}" title="max. 10 characters" /></td>
				<td><input type="text" size="10" id="w_to" name="w_to" maxlength="10" value="{$w_to}" title="max. 10 characters" /></td>
				<td><input type="text" size="10" id="w_year" name="w_year" maxlength="4" value="{$w_year}" title="max. 4 characters" /></td>
				<td><input type="text" size="10" id="location" name="location" maxlength="500" value="{$location}" title="max. 500 characters" /></td>
				<td><input type="text" size="10" id="isbn" name="isbn" maxlength="17" value="{$isbn}" title="max. 17 characters" /></td>
				<td colspan="2" class="right"><input type="submit" name="add_conference" value="add conference" /></td>
			</tr>
			</table>
			</form>
		{elseif $edit_conference}
			<a href="index.php?tab=8">&lt;&lt;</a>
			<br />
			<br />
			<form method="post" action="index.php?tab=8" enctype="multipart/form-data">
			<label>jméno: <input type="text" size="100" name="name" maxlength="500" value="{$name|escape:"html"}" title="max. 500 characters" /></label><br />
			<label>zkratka: <input type="text" size="20" id="abbreviation" name="abbreviation" maxlength="100" value="{$abbreviation|escape:"html"}" title="max. 100 characters" /></label><br />
			<label>od: <input type="text" size="10" id="w_from" name="w_from" maxlength="10" value="{$w_from|escape:"html"}" title="max. 10 characters" /></label><br />
			<label>do: <input type="text" size="10" id="w_to" name="w_to" maxlength="10" value="{$w_to|escape:"html"}" title="max. 10 characters" /></label><br />
			<label>rok: <input type="text" size="10" id="w_year" name="w_year" maxlength="4" value="{$w_year|escape:"html"}" title="max. 4 characters" /></label><br />
			<label>místo: <input type="text" size="100" id="location" name="location" maxlength="500" value="{$location|escape:"html"}" title="max. 500 characters" /></label><br />
			<label>isbn: <input type="text" size="20" id="isbn" name="isbn" maxlength="17" value="{$isbn|escape:"html"}" title="max. 17 characters" /></label><br />
			<br />
			<br />
			<hr />
			<br />
			<input type="hidden" name="conference_id" value="{$conference_id}" />
			<div class="right"><input type="submit" name="save_edited_conference" value="save" /></div>
			</form>
		{/if}
		</div>
	</div>
	</div>
</body>
</html>
